Subject: Comments for IOTP DSIG.

From: Yoshiaki KAWATSURA <[email-masked]>
Date: Mon, 24 May 1999 14:33:03 +0900 (JST)

Kent,

I have some comments for your draft. See below.

1. In the meeting in Ft. Lauderdale (when we discussed about DSIG), I
remember that we decided to sign the Manifest element itself. But it
seems to me that there is no description about this in the DSIG draft. 
Would you specify the discription on it? I think this should be in the
DSIG document also (as in IOTP document).

2. The description of the Algorithm element in Section 3.3 should be
described in a separate section.
 
3. Section 4.3.2
   <Manifest
           LocatorHrefBase='iotp:globally-unique-tid#>

should be 

   <Manifest
           LocatorHrefBase='iotp:globally-unique-tid#'>

4. Section 6. examples
the example should change as follows:

   <OtpMessage>
       <TransRefBlk ID="C.1">
           <TransId
               ID="C.2"
               version="1.0"
               OtpTransID="foo"
               OtpTransType="foo"
               TransTimeStamp="1258402394">
           </TransId>
           <MsgId xml:lang="en" SoftwareID="1.0">
           </MsgId>
       </TransRefBlk>
       <AuthReqBlk ID="C.3">
           <Org
               ID="C.7"
               OrgId="shop 1.0"
               OtpMsgIdPrefix="foo"
               ShortDesc="Widgets,Inc."
               LogoNetLocn="http://www.widgets.com/Banner2.12.99.gif">
               <TradingRole ID="C.8" TradingRole="foo">
               </TradingRole>
               <ContactInfo Tel="408-864-0600" Email="[email-masked]">
               </ContactInfo>
           </Org>
       </AuthReqBlk>
       <IOTPSignatures>
           <Signature>
               <Manifest LocatorHrefBase="iotp:">
                   <Algorithm name="urn:sha1" type=digest ID="S.1">
                   </Algorithm>
                   <Algorithm name="urn:rsa" type=signature ID="S.2">
                       <Parameter type=AlgorithmRef>S.3</Parameter>
                   </Algorithm>
                   <Algorithm name="urn:dom-hash" type="digest" ID="S.3">
                       <Parameter type=AlgorithmRef>S.1</Parameter>
                   </Algorithm>
                   <Digest DigestAlgorithmRef="S.3">
                       <Locator href="C.1"/>
                       <Value>
                           xsqsfasDys2h44u4ehJDe54he5j4dJYTJ=
                       </Value>
                   </Digest>
                   <Digest DigestAlgorithmRef="S.3">
                       <Locator href="C.3"/>
                       <Value>
                           ked0Ks01k2d7a0kgmf9dk19lf63kkDSs0=
                       </Value>
                   </Digest>
                   <OriginatorInfo
                       OriginatorRef="C.7">
                   </OriginatorInfo>
                   <RecipientInfo
                       SignatureAlgorithmRef="S.2"
                       SignatureValueRef="V.1"
                       RecipientRef="M.8">
                   </RecipientInfo>
               </Manifest>
               <Value ID="V.1">
                   9dj28fjakA9sked0Ks01k2d7a0kgmf9dk19lf63kkDSs0=
               </Value>
           </Signature>
       </IOTPSignatures>
   </OtpMessage>

Regards,
----
Yoshiaki Kawatsura : E-mail [email-masked]
 Business & Information Systems Development Devision, Hitachi,Ltd.
Voice: +81-44-549-1713(direct) Fax: +81-44-549-1721

-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]